using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_WenZhangLaiYuan_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改文章来源", "网站后台", "修改文章来源", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("10");

        int ID = Convert.ToInt32(Request.QueryString["ID"]);
        String 文章来源 = Request.Form["WenZhangLaiYuan"];
        int page=Convert.ToInt32(Request.QueryString["page"]);

        if (文章来源.Length < 1 || 文章来源.Length > 200)
            throw new Exception("文章来源的长度只能在1-200之间");

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "内容_文章_来源] SET [来源网站]=@来源网站 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@来源网站", SqlDbType.NVarChar).Value = 文章来源;
        语句.ExecuteNonQuery();

        Response.Redirect("WenZhangLaiYuan.aspx?page=" + page);
    }
}
